Vincent Faliès - Artisan Codeur

In some PHP projects, you could have to use an Oracle Database. In this case, you need install OCI8 module in your PHP configuration.

Install Oracle Client Instant & SDK

Download the latest Oracle Instant Client and SDK

Download the latest Oracle Instant Client and SDK from the Oracle website

...

Continue reading...

A new version of EnvDev project is now available in 2.4 version.

Changelog :

[2.4] - 2019-08-24

Changed

  • Change default version of PHP in .env.dist file from 7.2 FPM to 7.3 FPM
  • Change License date
  • Update README
  • Update maildev configuration to use msmtp in replacement of ssmtp

Added

...

Continue reading...

In development, when you updates records in database through a form, it's very interesting to known what have changed and what have not changed.

If you use Doctrine with entities, these informations are easily to determined. For instance with an user entity :

        $uow = $this->em->getUnitO...

Continue reading...

The database classicaly used with Symfony 4 is MySQL / MariaDB throught Doctrine project. However, some projects need a NoSQL database like MongoDB in replacement of the relational database. It's not a reason to not develop them with Symfony 4 !

The DoctrineMongoDBBundle is a project that allows...

Continue reading...

A new version of EnvDev project is now available in 2.3 version.

Changelog :

[2.3] - 2018-07-14

Changed

  • Change default version of PHP in .env.dist file from 7.2 FPM alpine to 7.2 FPM
  • Change License date
  • Update README
  • Move PHP FileMatch from Apache VHost configuration to generic Apach...

Continue reading...